/*******************************************************************************
 *  Copyright 2017-2018 Centre for Development of Advanced Computing(C-DAC), Pune
 *  
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *  
 *   http://www.apache.org/licenses/LICENSE-2.0
 *  
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *******************************************************************************/
package cdac.medinfo.sdk.dcm30_04.templates.enums.cv;

/**
 * This enum represents Code Value for ImageDerivation
 */
public enum EnumCV_ImageDerivation 
{
	// Image Derivation - CID 7203
		LOSSY_COMPRESSION_113040("113040"),
		APPARENT_DIFFUSION_COEFFICIENT_113041("113041"),
		PIXEL_BY_PIXEL_ADDITION_113042("113042"),
		DIFFUSION_WEIGHTED_113043("113043"),
		DIFFUSION_ANISOTROPY_113044("113044"),
		DIFFUSION_ATTENUATED_113045("113045"),
		PIXEL_BY_PIXEL_DIVISION_113046("113046"),
		PIXEL_BY_PIXEL_MASK_113047("113047"),
		PIXEL_BY_PIXEL_MAXIMUM_113048("113048"),
		PIXEL_BY_PIXEL_MEAN_113049("113049"),
		METABOLITE_MAPS_FROM_SPECTROSCOPY_DATA_113050("113050"),
		PIXEL_BY_PIXEL_MINIMUM_113051("113051"),
		MEAN_TRANSIT_TIME_113052("113052"),
		PIXEL_BY_PIXEL_MULTIPLICATION_113053("113053"),
		NEGATIVE_ENHANCEMENT_INTEGRAL_113054("113054"),
		REGIONAL_CEREBRAL_BLOOD_FLOW_113055("113055"),
		REGIONAL_CEREBRAL_BLOOD_VOLUME_113056("113056"),
		R_COEFFICIENT_113057("113057"),
		PROTON_DENSITY_113058("113058"),
		SIGNAL_CHANGE_113059("113059"),
		SIGNAL_TO_NOISE_113060("113060"),
		STANDARD_DEVIATION_113061("113061"),
		PIXEL_BY_PIXEL_SUBTRACTION_113062("113062"),
		T1_113063("113063"),
		T2_ASTERISK_113064("113064"),
		T2_113065("113065"),
		TIME_COURSE_OF_SIGNAL_113066("113066"),
		TEMPERATURE_ENCODED_113067("113067"),
		STUDENTS_T_TEST_113068("113068"),
		TIME_TO_PEAK_113069("113069"),
		VELOCITY_ENCODED_113070("113070"),
		Z_SCORE_113071("113071"),
		MULTIPLANAR_REFORMATTING_113072("113072"),
		CURVED_MULTIPLANAR_REFORMATTING_113073("113073"),
		VOLUME_RENDERING_113074("113074"),
		SURFACE_RENDERING_113075("113075"),
		SEGMENTATION_113076("113076"),
		VOLUME_EDITING_113077("113077"),
		MAXIMUM_INTENSITY_PROJECTION_113078("113078"),
		MINIMUM_INTENSITY_PROJECTION_113079("113079"),
		SPATIAL_RESAMPLING_113085("113085"),
		EDGE_ENHANCEMENT_113086("113086"),
		SMOOTHING_113087("113087"),
		GAUSSIAN_BLUR_113088("113088"),
		UNSHARP_MASK_113089("113089"),
		IMAGE_STITCHING_113090("113090"),
		SPATIALLY_RELATED_FRAMES_EXTRACTED_FROM_THE_VOLUME_113091("113091"),
		TEMPORALLY_RELATED_FRAMES_EXTRACTED_FROM_THE_SET_OF_VOLUMES_113092("113092"),
		MULTI_ENERGY_PROPORTIONAL_WEIGHTING_113097("113097"),
		POLAR_TO_RECTANGULAR_SCAN_CONVERSION_113093("113093");

	private String value;

	EnumCV_ImageDerivation(String strValue)
	{
		value = strValue;
	}

	/**
	 * This function returns the String value of this enum.
	 * @return returns string value of Code Value.
	 */
	public String getValue()
	{
		return value;
	}
}
